### Method

# Panel MenuManager set_attribute_string

since: 1.4

#### Declaration [src]

    void
    panel_menu_manager_set_attribute_string (
      PanelMenuManager* self,
      GMenu* menu,
      guint position,
      const char* attribute,
      const char* value
    )

#### Description [src]

Overwrites an attribute for a menu that was created by `PanelMenuManager`.

This can be useful when you want to update an attribute such as “accel” when an accelerator has changed due to user mappings.

Available since: 1.4

#### Parameters

`menu`

  Type: `GMenu`

  The menu that was retreived with panel_menu_manager_get_menu_by_id().

  The data is owned by the caller of the method.

`position`

  Type: `guint`

  The index of the item in the menu.

`attribute`

  Type: `const char*`

  The attribute to change.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `const char*`

  The new value for the attribute.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.